summaryrefslogtreecommitdiffstats
path: root/system/gxemul
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@gmail.com>2010-05-13 00:40:34 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:40:34 +0200
commit15e66c3852911b34c554b9f5167008040e4f4d32 (patch)
tree6e5262a025f79765731bc7cf7ea36ff14aceadc9 /system/gxemul
parentb5ad5b304273b3cffb2ced880462fabaeb5595e4 (diff)
downloadslackbuilds-15e66c3852911b34c554b9f5167008040e4f4d32.tar.gz
slackbuilds-15e66c3852911b34c554b9f5167008040e4f4d32.tar.xz
system/gxemul: Updated for version 0.4.7.2
Diffstat (limited to 'system/gxemul')
-rw-r--r--system/gxemul/README21
-rw-r--r--system/gxemul/gxemul.SlackBuild33
-rw-r--r--system/gxemul/gxemul.info12
-rw-r--r--system/gxemul/slack-desc6
4 files changed, 44 insertions, 28 deletions
diff --git a/system/gxemul/README b/system/gxemul/README
index 554d204500..93bec0b849 100644
--- a/system/gxemul/README
+++ b/system/gxemul/README
@@ -1,15 +1,14 @@
GXemul is an experimental instruction-level machine emulator. Several
-emulation modes are available. In some modes, processors and
-surrounding hardware components are emulated well enough to let
-unmodified operating systems (e.g. NetBSD) run as if they were running
-on a real machine.
+emulation modes are available. In some modes, processors and surrounding
+hardware components are emulated well enough to let unmodified operating
+systems (e.g. NetBSD) run as if they were running on a real machine.
-The emulator is written in C, does not depend on third-party
-libraries, and should compile and run on most 64-bit and 32-bit
-Unix-like systems, with few or no modifications.
+The emulator is written in C, does not depend on third-party libraries,
+and should compile and run on most 64-bit and 32-bit Unix-like systems,
+with few or no modifications.
Devices and processors are not simulated with 100% accuracy. They are
-only "faked" well enough to allow guest operating systems to run
-without complaining too much. Still, the emulator could be of interest
-for academic research and experiments, such as when learning how to
-write operating system code.
+only "faked" well enough to allow guest operating systems to run without
+complaining too much. Still, the emulator could be of interest for
+academic research and experiments, such as when learning how to write
+operating system code.
diff --git a/system/gxemul/gxemul.SlackBuild b/system/gxemul/gxemul.SlackBuild
index 2acbd43e79..790356398d 100644
--- a/system/gxemul/gxemul.SlackBuild
+++ b/system/gxemul/gxemul.SlackBuild
@@ -1,9 +1,11 @@
#!/bin/sh
+
# Slackware build script for GXemul
+
# Written by Aleksandar Samardzic <asamardzic@gmail.com>
PRGNAM=gxemul
-VERSION=${VERSION:-0.4.7}
+VERSION=${VERSION:-0.4.7.2}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -15,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -36,25 +41,35 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" ./configure
-make
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure
+make
mkdir -p $PKG/usr/bin $PKG/usr/man/man1
install -m 0755 gxemul $PKG/usr/bin
install -m 0644 man/gxemul.1 $PKG/usr/man/man1
-strip --strip-unneeded $PKG/usr/bin/gxemul
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
-gzip -9 $PKG/usr/man/man1/gxemul.1
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
-install -m 0644 HISTORY LICENSE README RELEASE.html TODO \
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ HISTORY LICENSE README RELEASE.html TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
-install -m 0644 doc/* $PKG/usr/doc/$PRGNAM-$VERSION/html
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/gxemul/gxemul.info b/system/gxemul/gxemul.info
index 4a5ba26aae..d9ec5730a9 100644
--- a/system/gxemul/gxemul.info
+++ b/system/gxemul/gxemul.info
@@ -1,8 +1,10 @@
PRGNAM="gxemul"
-VERSION="0.4.7"
-HOMEPAGE="http://gavare.se/gxemul/"
-DOWNLOAD="http://gavare.se/gxemul/src/gxemul-0.4.7.tar.gz"
-MD5SUM="03d80b27ec351724d9c2de3adef4663d"
+VERSION="0.4.7.2"
+HOMEPAGE="http://gxemul.sourceforge.net/"
+DOWNLOAD="http://gxemul.sourceforge.net/src/gxemul-0.4.7.2.tar.gz"
+MD5SUM="a2ec4f58a831dd883c196c4fd362b702"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Aleksandar Samardzic"
EMAIL="asamardzic@gmail.com"
-APPROVED="dsomero"
+APPROVED="rworkman"
diff --git a/system/gxemul/slack-desc b/system/gxemul/slack-desc
index 9f26809d8b..175c11bee5 100644
--- a/system/gxemul/slack-desc
+++ b/system/gxemul/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler-------------------------------------------------------|
gxemul: GXemul (an instruction-level machine emulator)
gxemul:
gxemul: GXemul emulates (networks of) real machines, consisting of
@@ -13,7 +13,7 @@ gxemul: processors (ARM, MIPS, PowerPC, and SuperH, emulated using
gxemul: dynamic translation) and various surrounding hardware
gxemul: components such as framebuffers, interrupt controllers,
gxemul: busses, disk controllers, and serial controllers.
-gxemul:
-gxemul: GXemul home page is: http://gavare.se/gxemul/
+gxemul:
+gxemul: GXemul home page is: http://gxemul.sourceforge.net/
gxemul:
gxemul: